(:~
 : Render html files loaded from github.
 :)
xquery version "3.1";

declare namespace http="http://expath.org/ns/http-client";

declare option exist:serialize "method=html version=5.0 html-version=5.0 media-type=text/html";

let $file := request:get-parameter("file", "")

let $request :=
    element http:request {
        attribute method {"GET"},
        attribute href {"https://api.github.com/repos/Bibliothek-der-Neologie/bdnBible/contents/output/" || $file},
        element http:header {
            attribute name {"Accept" },
            attribute value {"application/vnd.github.VERSION.raw"}
        }
    }

let $response := http:send-request($request)[2] => util:base64-decode() => fn:parse-xml()

return $response
